/*
 * i2cl_regs.h --
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2012, Maxim Integrated Products
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the <organization> nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY MAXIM INTEGRATED PRODUCTS ''AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL MAXIM INTEGRATED PRODUCTS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* [INTERNAL] ------------------------------------------------------------------
 * Created on: June 5, 2012
 * Author: Jeremy Brodt
 *
 * ---- Subversion keywords (need to set the keyword property)
 * $Revision: 21 $:  Revision of last commit
 * $Author: ray.vandewalker $:  Author of last commit
 * $Date: 2013-06-07 16:34:10 -0700 (Fri, 07 Jun 2013) $:  Date of last commit
 * [/INTERNAL] -------------------------------------------------------------- */

#ifndef I2CL_REGS_H_
#define I2CL_REGS_H_

/** @file i2cl_regs.h I2CL Registers Header */

/** @defgroup I2CL I2C Driver
 * @ingroup DRIVER
 */

#ifndef __ASSEMBLER__
/* -------------------------------------------------------------------------- */
/** I2CL Registers.
 *
 */
typedef volatile struct _i2cl_regs_ {
	unsigned int i2ccn;    //!< 0x00 Control
	unsigned int i2cst;    //!< 0x04 Status
	unsigned int i2cint;   //!< 0x08 Interrupt
	unsigned int i2cfifo;  //!< 0x0C FIFO Configuration
	unsigned int i2crxcfg; //!< 0x10 RX Configuration
	unsigned int i2crx;    //!< 0x14 RX
	unsigned int i2ctxcfg; //!< 0x18 TX Configuration
	unsigned int i2ctx;    //!< 0x1C TX
	unsigned int i2cdata;  //!< 0x20 Data
	unsigned int i2cmcn;   //!< 0x24 Master Control
	unsigned int i2cckl;   //!< 0x28 Clock Low Divide
	unsigned int i2cckh;   //!< 0x2C Clock High Divide
	unsigned int i2chsck;  //!< 0x30 Hs-Clock Divide
	unsigned int i2cto;    //!< 0x34 Timeout
	unsigned int i2csla;   //!< 0x38 Slave Address
} i2cl_regs_t;

#endif /* __ASSEMBLER__ */

/** @} *//* @defgroup I2CL_REGS */

#endif /* I2CL_REGS_H_ */
