/***************************************************************************
* Copyright (C) 2011 Maxim Integrated Products. All rights Reserved. 
*
* This software is protected by copyright laws of the United States and
* of foreign countries. This material may also be protected by patent laws
* and technology transfer regulations of the United States and of foreign
* countries. This software is furnished under a license agreement and/or a
* nondisclosure agreement and may only be used or reproduced in accordance
* with the terms of those agreements. Dissemination of this information to 
* any party or parties not specified in the license agreement and/or 
* nondisclosure agreement is expressly prohibited. 
*
* This file is supposed to define exactly the same MAXQ30 registers
* as the file used for MAXQ 30 assembly code in \dsp.
*
*     Description: Register definitions for AM62/MAXQ30
*             $Id: max716xx_dsp.h 21 2013-06-07 23:34:10Z ray.vandewalker $
*
***************************************************************************/

#ifndef AM62_DSP_H
#define AM62_DSP_H 1

/*--------------------------------------------------------------------------
 Definitions for am62 MAXQ SFRs 
--------------------------------------------------------------------------*/
#define mxy(_x_,_y_) (((_x_) << 5)|(_y_))   /* SFR ptr for PMQ v1.0 */
#define M0(_q_) mxy(0,(_q_))
#define M1(_q_) mxy(1,(_q_))
#define M2(_q_) mxy(2,(_q_))
#define M3(_q_) mxy(3,(_q_))
#define M4(_q_) mxy(4,(_q_))
#define M5(_q_) mxy(6,(_q_))
#define M8(_q_) mxy(8,(_q_))

/*--------------------------------------------------------------------------
 Module 0 
--------------------------------------------------------------------------*/
#define I2CCN0    M0(0)
#define I2CINT0   M0(1)
#define I2CST0    M0(2)
#define I2CDATA0  M0(3)
#define I2CMCN0   M0(4)
#define SPICN     M0(5)
#define SPIST     M0(6)
#define SPIB      M0(7)
#define I2CRX0    M0(8)
#define I2CRXCFG0 M0(9)
#define I2CTX0    M0(10)
#define I2CTXCFG0 M0(11)
#define I2CSLA0   M0(12)
#define I2CCKH0   M0(13)
#define I2CCKL0   M0(14)
#define I2CHSCK0  M0(15)
#define I2CTO0    M0(16)
#define I2CFIFO0  M0(17)
#define SPICF     M0(18)
#define SPICK     M0(19)
// undefined      M0(20) 
// undefined      M0(21) 
// undefined      M0(22)
#define TM2       M0(23)
#define ICDT0     M0(24)
#define ICDT1     M0(25)
#define ICDC      M0(26)
#define ICDF      M0(27)
#define ICDB      M0(28)
#define ICDA      M0(29)
#define ICDD      M0(30)
#define TM        M0(31)

/*--------------------------------------------------------------------------
 Module 1 
--------------------------------------------------------------------------*/
#define I2CCN1    M1(0)
#define I2CINT1   M1(1)
#define I2CST1    M1(2)
#define I2CDATA1  M1(3)
#define I2CMCN1   M1(4)
#define TB0CN     M1(5)
#define TB0V      M1(6)
#define TB0R      M1(7)
#define I2CRX1    M1(8)
#define I2CRXCFG1 M1(9)
#define I2CTX1    M1(10)
#define I2CTXCFG1 M1(11)
#define I2CSLA1   M1(12)
#define I2CCKH1   M1(13)
#define I2CCKL1   M1(14)
#define I2CHSCK1  M1(15)
#define I2CTO1    M1(16)
#define I2CFIFO1  M1(17)
// undefined      M1(18) 
// undefined      M1(19) 
// undefined      M1(20) 
// undefined      M1(21) 
// undefined      M1(22) 
// undefined      M1(23) 
// undefined      M1(24) 
// undefined      M1(25) 
// undefined      M1(26) 
// undefined      M1(27) 
// undefined      M1(28) 
// undefined      M1(29) 
// undefined      M1(30) 
// undefined      M1(31) 

/*--------------------------------------------------------------------------
 Module 2 
--------------------------------------------------------------------------*/
#define MCNT      M2(0)
#define MA        M2(1)
#define MB        M2(2)
#define CFCN      M2(3)
#define CFINC0    M2(4)
#define CFINC1    M2(5)
#define CFINC2    M2(6)
#define CFINC3    M2(7)
#define MC0       M2(8)
#define MC1       M2(9)
// #define MC2       M2(10) 
#define MC0R      M2(11)
#define MC1R      M2(12)
// #define MC2R      M2(13) 
#define CFACT0    M2(14)
#define CFACT1    M2(15)
#define CFACT2    M2(16)
#define CFACT3    M2(17)
// undefined      M2(18) 
// undefined      M2(19) 
// undefined      M2(20) 
// undefined      M2(21) 
// undefined      M2(22) 
// undefined      M2(23) 
// undefined      M2(24) 
// undefined      M2(25) 
// undefined      M2(26) 
// undefined      M2(27) 
// undefined      M2(28) 
// undefined      M2(29) 
// undefined      M2(30) 
// undefined      M2(31) 

/*--------------------------------------------------------------------------
 Module 3 
--------------------------------------------------------------------------*/
//#define       M3(0)
#define RMTCN     M3(1)
#define RMTCMD    M3(2)
#define ADCN      M3(3)
#define ADCFG     M3(4)
#define CEI       M3(5)
#define RMTERR    M3(6)
#define CEPCN     M3(7) 
#define CECN      M3(8) 
#define RMTDATA   M3(9)
#define ADCLK     M3(10) 
#define ADMUX0    M3(11)
#define ADMUX1    M3(12)
#define ADMUX2    M3(13)
#define ADMUX3    M3(14)
#define ADMUX4    M3(15)
#define ADMUX5    M3(16)
#define ADMUX6    M3(17)
#define FIRLEN    M3(18)
#define SLEN      M3(19)
#define SDLY      M3(20)
#define VDLY      M3(21)
#define VZERO     M3(22)
#define MUXCN     M3(23)
#define RTM0      M3(24)
#define RTM1      M3(25) 
#define RTM2      M3(26) 
#define RTM3      M3(27) 
//#define    M3(28) 
//#define    M3(29) 
//#define   M3(30) 
//#define   M3(31) 

/*--------------------------------------------------------------------------
 Module 4 
--------------------------------------------------------------------------*/
#define LCDCFG    M4(0)
#define LCDADDR   M4(2)
#define LCDSEG    M4(3) 
#define SRSP0     M4(4) 
#define SRSP1     M4(5) 
#define PO2       M4(6)
#define EIF2      M4(7)
#define LCDCN     M4(8)
#define LCDMAP0   M4(9)
#define LCDMAP1   M4(10)
#define LCDMAP2   M4(11)
// #define M3CMD     M4(12) 
// #define SYSCN     M4(13) 
#define PI2       M4(14)
#define PD2       M4(15)
#define EIE2      M4(16)
#define EIES2     M4(17)
#define MREQ0     M4(18) 
#define MREQ1     M4(19) 
#define MREQ2     M4(20) 
// undefined      M4(21) 
// undefined      M4(22) 
// undefined      M4(23) 
// undefined      M4(24) 
// undefined      M4(25) 
// undefined      M4(26) 
// undefined      M4(27) 
// undefined      M4(28) 
// undefined      M4(29) 
// undefined      M4(30) 
// undefined      M4(31) 

/*--------------------------------------------------------------------------
 Module 5 
--------------------------------------------------------------------------*/
#define RTCI      M5(0)
// #define TSCN      M5(1)
// #define WD_TBD    M5(2)
// #define WKTCN     M5(3)
// #define WKTV      M5(4)
// #define EXTSCN    M5(5)
// #define TRNG      M5(6)
#define MEMCTL    M5(7)
#define RTCCN     M5(8)
#define RTCSBSC   M5(9)
#define RTCTIME   M5(10)
#define RTCDATE   M5(11)
#define RTCALRM   M5(12)
#define RTCCAL    M5(13)
#define TCA       M5(14)
#define TCB       M5(15)
#define TSTEMP    M5(16)
#define EXTSTAT   M5(17)
#define RTCMISC   M5(18)
#define RTCSTAT   M5(19)
#define RTCBTM    M5(20)
#define TEMPTEST  M5(21)
// undefined      M5(22) 
// undefined      M5(23) 
// undefined      M5(24) 
// undefined      M5(25) 
// undefined      M5(26) 
// undefined      M5(27) 
// undefined      M5(28) 
// undefined      M5(29) 
// undefined      M5(30) 
// undefined      M5(31) 

/*--------------------------------------------------------------------------
 Module 8 
--------------------------------------------------------------------------*/
#define IPR0      M8(9)
#define IPR1      M8(10)

#endif /* ifndef AM62_DSP_H */
/* end of file */

