/*
 * maxq_com_regs.h --
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2012, Maxim Integrated Products
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the <organization> nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY MAXIM INTEGRATED PRODUCTS ''AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL MAXIM INTEGRATED PRODUCTS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* [INTERNAL] ------------------------------------------------------------------
 * Created on: June 5, 2012
 * Author: Jeremy Brodt
 *
 * ---- Subversion keywords (need to set the keyword property)
 * $Revision: 21 $:  Revision of last commit
 * $Author: ray.vandewalker $:  Author of last commit
 * $Date: 2013-06-07 16:34:10 -0700 (Fri, 07 Jun 2013) $:  Date of last commit
 * [/INTERNAL] -------------------------------------------------------------- */

#ifndef MAXQ_COM_REGS_H_
#define MAXQ_COM_REGS_H_

/** @file maxq_com_regs.h MAXQ_COM Registers Header */

/** @defgroup MAXQ_COM MAXQ_COM Driver
 * @ingroup DRIVER
 */

#define MAXQ_COM_MREQ_REQCM_MASK       0x0F
#define MAXQ_COM_MREQ_RSPE_MASK        0x10
#define MAXQ_COM_MREQ_REQCDV_MASK      0x20

#define MAXQ_COM_SRSP_RSPST_MASK       0x0F
#define MAXQ_COM_SRSP_REQE_MASK        0x10
#define MAXQ_COM_SRSP_RSPSDV_MASK      0x20

#ifndef __ASSEMBLER__
/* -------------------------------------------------------------------------- */
/** MAXQ_COM Registers.
 *
 */
typedef volatile struct _maxq_com_regs_ {
	volatile unsigned int mreq0; //!< 0x00
	volatile unsigned int mreq1; //!< 0x04
	volatile unsigned int mreq2; //!< 0x08
	volatile unsigned int srsp0; //!< 0x0C
	volatile unsigned int srsp1; //!< 0x10
} maxq_com_regs_t;

#endif /* __ASSEMBLER__ */

/** @} *//* @defgroup MAXQ_COM_REGS */

#endif /* MAXQ_COM_REGS_H_ */
