/*
 * am62_test_regs.h --
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2012, Maxim Integrated Products
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the <organization> nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY MAXIM INTEGRATED PRODUCTS ''AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL MAXIM INTEGRATED PRODUCTS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* [INTERNAL] ------------------------------------------------------------------
 * Created on: June 5, 2012
 * Author: Jeremy Brodt
 *
 * ---- Subversion keywords (need to set the keyword property)
 * $Revision: 21 $:  Revision of last commit
 * $Author: ray.vandewalker $:  Author of last commit
 * $Date: 2013-06-07 16:34:10 -0700 (Fri, 07 Jun 2013) $:  Date of last commit
 * [/INTERNAL] -------------------------------------------------------------- */

#ifndef AM62_TEST_REGS_H_
#define AM62_TEST_REGS_H_

/** @file test_regs.h TEST Registers Header */

/** @defgroup AM62_TEST TEST Driver
 * @ingroup AM62_DRIVER
 */

#ifndef __ASSEMBLER__
/* -------------------------------------------------------------------------- */
/** TEST Registers.
 *
 */
typedef volatile struct _am62_test_regs_ {
	volatile unsigned tm;	  // 0x00 - System Test Mode Register
	volatile unsigned trcn;	  // 0x04 - Trim control register
	volatile unsigned tclk;   // 0x08 - Test clock control register
	volatile unsigned tmr0;	  // 0x0C - Security test mode register
	volatile unsigned tmr1;	  // 0x10 - Clock test mode register
	volatile unsigned tmr2;	  // 0x14 - Peripheral test mode register 0
	volatile unsigned tmr3;	  // 0x18 - Peripheral test mode register 1
	volatile unsigned resv0;  // 0x1C - reserved
	volatile unsigned mbcn;   // 0x20 - BIST control register
	volatile unsigned mbstat; // 0x24 - BIST status register
	volatile unsigned mbdsel; // 0x28 - BIST diag select
	volatile unsigned mbdiag; // 0x2C - BIST diag register
} test_regs_t;

#endif /* __ASSEMBLER__ */

/** @} *//* @defgroup AM62_TEST_REGS */

#endif /* AM62_TEST_REGS_H_ */
